<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref20.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Parsers.IDL.idlast.ValueAbs.__init__ - Synopsis.Parsers.IDL.idltype.wstringType</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Parsers.IDL.idlast.ValueAbs.__init__ - Synopsis.Parsers.IDL.idltype.wstringType</h1><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.__init__" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#994">Synopsis/Parsers/IDL/idlast.py:994</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs._setContents" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs._setContents</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#_setContents" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1009">Synopsis/Parsers/IDL/idlast.py:1009</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.accept" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1026">Synopsis/Parsers/IDL/idlast.py:1026</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.callables" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.callables</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#callables" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1032">Synopsis/Parsers/IDL/idlast.py:1032</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.contents" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.contents</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#contents" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1030">Synopsis/Parsers/IDL/idlast.py:1030</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.declarations" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.declarations</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#declarations" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1031">Synopsis/Parsers/IDL/idlast.py:1031</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.factories" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.factories</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#factories" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1034">Synopsis/Parsers/IDL/idlast.py:1034</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.inherits" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.inherits</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#inherits" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1028">Synopsis/Parsers/IDL/idlast.py:1028</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.statemembers" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.statemembers</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#statemembers" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1033">Synopsis/Parsers/IDL/idlast.py:1033</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueAbs.supports" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueAbs.supports</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html#supports" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1029">Synopsis/Parsers/IDL/idlast.py:1029</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueAbs.html" >Synopsis.Parsers.IDL.idlast.ValueAbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueBox" /><h2 >Class Synopsis.Parsers.IDL.idlast.ValueBox</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#952">Synopsis/Parsers/IDL/idlast.py:952</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlast.html" >Synopsis.Parsers.IDL.idlast</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#968">Synopsis/Parsers/IDL/idlast.py:968</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#__boxedType" >__boxedType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#969">Synopsis/Parsers/IDL/idlast.py:969</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#__constrType" >__constrType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#961">Synopsis/Parsers/IDL/idlast.py:961</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#971">Synopsis/Parsers/IDL/idlast.py:971</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#973">Synopsis/Parsers/IDL/idlast.py:973</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#boxedType" >boxedType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#974">Synopsis/Parsers/IDL/idlast.py:974</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#constrType" >constrType</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueBox.__init__" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueBox.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#961">Synopsis/Parsers/IDL/idlast.py:961</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html" >Synopsis.Parsers.IDL.idlast.ValueBox</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueBox.accept" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueBox.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#971">Synopsis/Parsers/IDL/idlast.py:971</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html" >Synopsis.Parsers.IDL.idlast.ValueBox</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueBox.boxedType" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueBox.boxedType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#boxedType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#973">Synopsis/Parsers/IDL/idlast.py:973</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html" >Synopsis.Parsers.IDL.idlast.ValueBox</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueBox.constrType" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueBox.constrType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html#constrType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#974">Synopsis/Parsers/IDL/idlast.py:974</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueBox.html" >Synopsis.Parsers.IDL.idlast.ValueBox</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueForward" /><h2 >Class Synopsis.Parsers.IDL.idlast.ValueForward</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#925">Synopsis/Parsers/IDL/idlast.py:925</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlast.html" >Synopsis.Parsers.IDL.idlast</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#942">Synopsis/Parsers/IDL/idlast.py:942</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#__abstract" >__abstract</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#943">Synopsis/Parsers/IDL/idlast.py:943</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#_fullDecl" >_fullDecl</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#944">Synopsis/Parsers/IDL/idlast.py:944</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#_more" >_more</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#935">Synopsis/Parsers/IDL/idlast.py:935</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#946">Synopsis/Parsers/IDL/idlast.py:946</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#948">Synopsis/Parsers/IDL/idlast.py:948</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#abstract" >abstract</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#949">Synopsis/Parsers/IDL/idlast.py:949</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#fullDecl" >fullDecl</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueForward.__init__" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueForward.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#935">Synopsis/Parsers/IDL/idlast.py:935</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html" >Synopsis.Parsers.IDL.idlast.ValueForward</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueForward.abstract" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueForward.abstract</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#abstract" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#948">Synopsis/Parsers/IDL/idlast.py:948</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html" >Synopsis.Parsers.IDL.idlast.ValueForward</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueForward.accept" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueForward.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#946">Synopsis/Parsers/IDL/idlast.py:946</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html" >Synopsis.Parsers.IDL.idlast.ValueForward</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.ValueForward.fullDecl" /><h2 >Method Synopsis.Parsers.IDL.idlast.ValueForward.fullDecl</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html#fullDecl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#949">Synopsis/Parsers/IDL/idlast.py:949</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idlast/ValueForward.html" >Synopsis.Parsers.IDL.idlast.ValueForward</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.clear" /><h2 >Function Synopsis.Parsers.IDL.idlast.clear</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast.html#clear" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1194">Synopsis/Parsers/IDL/idlast.py:1194</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlast.html" >Synopsis.Parsers.IDL.idlast</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.findDecl" /><h2 >Function Synopsis.Parsers.IDL.idlast.findDecl</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast.html#findDecl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1160">Synopsis/Parsers/IDL/idlast.py:1160</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlast.html" >Synopsis.Parsers.IDL.idlast</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idlast.registerDecl" /><h2 >Function Synopsis.Parsers.IDL.idlast.registerDecl</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idlast.html#registerDecl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idlast.py.html#1111">Synopsis/Parsers/IDL/idlast.py:1111</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idlast.html" >Synopsis.Parsers.IDL.idlast</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Base" /><h2 >Class Synopsis.Parsers.IDL.idltype.Base</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Base.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#130">Synopsis/Parsers/IDL/idltype.py:130</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#135">Synopsis/Parsers/IDL/idltype.py:135</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Base.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#146">Synopsis/Parsers/IDL/idltype.py:146</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Base.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Base.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.Base.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Base.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#135">Synopsis/Parsers/IDL/idltype.py:135</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Base.html" >Synopsis.Parsers.IDL.idltype.Base</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Base.accept" /><h2 >Method Synopsis.Parsers.IDL.idltype.Base.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Base.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#146">Synopsis/Parsers/IDL/idltype.py:146</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Base.html" >Synopsis.Parsers.IDL.idltype.Base</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Declared" /><h2 >Class Synopsis.Parsers.IDL.idltype.Declared</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#232">Synopsis/Parsers/IDL/idltype.py:232</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#251">Synopsis/Parsers/IDL/idltype.py:251</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#__decl" >__decl</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#252">Synopsis/Parsers/IDL/idltype.py:252</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#__scopedName" >__scopedName</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#241">Synopsis/Parsers/IDL/idltype.py:241</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#254">Synopsis/Parsers/IDL/idltype.py:254</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#257">Synopsis/Parsers/IDL/idltype.py:257</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#decl" >decl</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#260">Synopsis/Parsers/IDL/idltype.py:260</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#scopedName" >scopedName</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#263">Synopsis/Parsers/IDL/idltype.py:263</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#name" >name</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Declared.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.Declared.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#241">Synopsis/Parsers/IDL/idltype.py:241</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html" >Synopsis.Parsers.IDL.idltype.Declared</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Declared.accept" /><h2 >Method Synopsis.Parsers.IDL.idltype.Declared.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#254">Synopsis/Parsers/IDL/idltype.py:254</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html" >Synopsis.Parsers.IDL.idltype.Declared</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Declared.decl" /><h2 >Method Synopsis.Parsers.IDL.idltype.Declared.decl</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#decl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#257">Synopsis/Parsers/IDL/idltype.py:257</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html" >Synopsis.Parsers.IDL.idltype.Declared</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Declared.name" /><h2 >Method Synopsis.Parsers.IDL.idltype.Declared.name</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#263">Synopsis/Parsers/IDL/idltype.py:263</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html" >Synopsis.Parsers.IDL.idltype.Declared</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Declared.scopedName" /><h2 >Method Synopsis.Parsers.IDL.idltype.Declared.scopedName</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html#scopedName" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#260">Synopsis/Parsers/IDL/idltype.py:260</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Declared.html" >Synopsis.Parsers.IDL.idltype.Declared</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Error" /><h2 >Class Synopsis.Parsers.IDL.idltype.Error</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#92">Synopsis/Parsers/IDL/idltype.py:92</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#96">Synopsis/Parsers/IDL/idltype.py:96</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html#err" >err</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#95">Synopsis/Parsers/IDL/idltype.py:95</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#98">Synopsis/Parsers/IDL/idltype.py:98</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html#__repr__" >__repr__</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Error.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.Error.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#95">Synopsis/Parsers/IDL/idltype.py:95</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html" >Synopsis.Parsers.IDL.idltype.Error</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Error.__repr__" /><h2 >Method Synopsis.Parsers.IDL.idltype.Error.__repr__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html#__repr__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#98">Synopsis/Parsers/IDL/idltype.py:98</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Error.html" >Synopsis.Parsers.IDL.idltype.Error</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Fixed" /><h2 >Class Synopsis.Parsers.IDL.idltype.Fixed</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#211">Synopsis/Parsers/IDL/idltype.py:211</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#221">Synopsis/Parsers/IDL/idltype.py:221</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#__digits" >__digits</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#222">Synopsis/Parsers/IDL/idltype.py:222</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#__scale" >__scale</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#219">Synopsis/Parsers/IDL/idltype.py:219</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#224">Synopsis/Parsers/IDL/idltype.py:224</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#225">Synopsis/Parsers/IDL/idltype.py:225</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#digits" >digits</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#226">Synopsis/Parsers/IDL/idltype.py:226</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#scale" >scale</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Fixed.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.Fixed.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#219">Synopsis/Parsers/IDL/idltype.py:219</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html" >Synopsis.Parsers.IDL.idltype.Fixed</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Fixed.accept" /><h2 >Method Synopsis.Parsers.IDL.idltype.Fixed.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#224">Synopsis/Parsers/IDL/idltype.py:224</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html" >Synopsis.Parsers.IDL.idltype.Fixed</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Fixed.digits" /><h2 >Method Synopsis.Parsers.IDL.idltype.Fixed.digits</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#digits" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#225">Synopsis/Parsers/IDL/idltype.py:225</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html" >Synopsis.Parsers.IDL.idltype.Fixed</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Fixed.scale" /><h2 >Method Synopsis.Parsers.IDL.idltype.Fixed.scale</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html#scale" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#226">Synopsis/Parsers/IDL/idltype.py:226</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Fixed.html" >Synopsis.Parsers.IDL.idltype.Fixed</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Sequence" /><h2 >Class Synopsis.Parsers.IDL.idltype.Sequence</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#191">Synopsis/Parsers/IDL/idltype.py:191</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#201">Synopsis/Parsers/IDL/idltype.py:201</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#__seqType" >__seqType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#202">Synopsis/Parsers/IDL/idltype.py:202</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#__bound" >__bound</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#199">Synopsis/Parsers/IDL/idltype.py:199</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#204">Synopsis/Parsers/IDL/idltype.py:204</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#205">Synopsis/Parsers/IDL/idltype.py:205</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#seqType" >seqType</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#206">Synopsis/Parsers/IDL/idltype.py:206</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#bound" >bound</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Sequence.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.Sequence.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#199">Synopsis/Parsers/IDL/idltype.py:199</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html" >Synopsis.Parsers.IDL.idltype.Sequence</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Sequence.accept" /><h2 >Method Synopsis.Parsers.IDL.idltype.Sequence.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#204">Synopsis/Parsers/IDL/idltype.py:204</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html" >Synopsis.Parsers.IDL.idltype.Sequence</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Sequence.bound" /><h2 >Method Synopsis.Parsers.IDL.idltype.Sequence.bound</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#bound" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#206">Synopsis/Parsers/IDL/idltype.py:206</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html" >Synopsis.Parsers.IDL.idltype.Sequence</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Sequence.seqType" /><h2 >Method Synopsis.Parsers.IDL.idltype.Sequence.seqType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html#seqType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#205">Synopsis/Parsers/IDL/idltype.py:205</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Sequence.html" >Synopsis.Parsers.IDL.idltype.Sequence</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.String" /><h2 >Class Synopsis.Parsers.IDL.idltype.String</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#156">Synopsis/Parsers/IDL/idltype.py:156</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#165">Synopsis/Parsers/IDL/idltype.py:165</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html#__bound" >__bound</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#163">Synopsis/Parsers/IDL/idltype.py:163</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#167">Synopsis/Parsers/IDL/idltype.py:167</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#168">Synopsis/Parsers/IDL/idltype.py:168</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html#bound" >bound</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.String.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.String.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#163">Synopsis/Parsers/IDL/idltype.py:163</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html" >Synopsis.Parsers.IDL.idltype.String</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.String.accept" /><h2 >Method Synopsis.Parsers.IDL.idltype.String.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#167">Synopsis/Parsers/IDL/idltype.py:167</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html" >Synopsis.Parsers.IDL.idltype.String</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.String.bound" /><h2 >Method Synopsis.Parsers.IDL.idltype.String.bound</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html#bound" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#168">Synopsis/Parsers/IDL/idltype.py:168</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/String.html" >Synopsis.Parsers.IDL.idltype.String</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Type" /><h2 >Class Synopsis.Parsers.IDL.idltype.Type</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#102">Synopsis/Parsers/IDL/idltype.py:102</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#112">Synopsis/Parsers/IDL/idltype.py:112</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#__kind" >__kind</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#113">Synopsis/Parsers/IDL/idltype.py:113</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#__local" >__local</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#111">Synopsis/Parsers/IDL/idltype.py:111</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#115">Synopsis/Parsers/IDL/idltype.py:115</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#kind" >kind</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#116">Synopsis/Parsers/IDL/idltype.py:116</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#local" >local</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#118">Synopsis/Parsers/IDL/idltype.py:118</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#unalias" >unalias</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#126">Synopsis/Parsers/IDL/idltype.py:126</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#accept" >accept</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Type.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.Type.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#111">Synopsis/Parsers/IDL/idltype.py:111</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html" >Synopsis.Parsers.IDL.idltype.Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Type.accept" /><h2 >Method Synopsis.Parsers.IDL.idltype.Type.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#126">Synopsis/Parsers/IDL/idltype.py:126</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html" >Synopsis.Parsers.IDL.idltype.Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Type.kind" /><h2 >Method Synopsis.Parsers.IDL.idltype.Type.kind</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#kind" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#115">Synopsis/Parsers/IDL/idltype.py:115</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html" >Synopsis.Parsers.IDL.idltype.Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Type.local" /><h2 >Method Synopsis.Parsers.IDL.idltype.Type.local</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#local" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#116">Synopsis/Parsers/IDL/idltype.py:116</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html" >Synopsis.Parsers.IDL.idltype.Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.Type.unalias" /><h2 >Method Synopsis.Parsers.IDL.idltype.Type.unalias</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html#unalias" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#118">Synopsis/Parsers/IDL/idltype.py:118</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/Type.html" >Synopsis.Parsers.IDL.idltype.Type</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.WString" /><h2 >Class Synopsis.Parsers.IDL.idltype.WString</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#170">Synopsis/Parsers/IDL/idltype.py:170</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#179">Synopsis/Parsers/IDL/idltype.py:179</a>: Attribute <a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html#__bound" >__bound</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#177">Synopsis/Parsers/IDL/idltype.py:177</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#181">Synopsis/Parsers/IDL/idltype.py:181</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html#accept" >accept</a></li><li ><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#182">Synopsis/Parsers/IDL/idltype.py:182</a>: Method <a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html#bound" >bound</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.WString.__init__" /><h2 >Method Synopsis.Parsers.IDL.idltype.WString.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#177">Synopsis/Parsers/IDL/idltype.py:177</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html" >Synopsis.Parsers.IDL.idltype.WString</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.WString.accept" /><h2 >Method Synopsis.Parsers.IDL.idltype.WString.accept</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html#accept" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#181">Synopsis/Parsers/IDL/idltype.py:181</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html" >Synopsis.Parsers.IDL.idltype.WString</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.WString.bound" /><h2 >Method Synopsis.Parsers.IDL.idltype.WString.bound</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html#bound" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#182">Synopsis/Parsers/IDL/idltype.py:182</a>: in class <a href="../Scopes/Synopsis/Parsers/IDL/idltype/WString.html" >Synopsis.Parsers.IDL.idltype.WString</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.baseType" /><h2 >Function Synopsis.Parsers.IDL.idltype.baseType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#baseType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#351">Synopsis/Parsers/IDL/idltype.py:351</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.clear" /><h2 >Function Synopsis.Parsers.IDL.idltype.clear</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#clear" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#396">Synopsis/Parsers/IDL/idltype.py:396</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.containsValueType" /><h2 >Function Synopsis.Parsers.IDL.idltype.containsValueType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#containsValueType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#266">Synopsis/Parsers/IDL/idltype.py:266</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.declaredType" /><h2 >Function Synopsis.Parsers.IDL.idltype.declaredType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#declaredType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#386">Synopsis/Parsers/IDL/idltype.py:386</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.fixedType" /><h2 >Function Synopsis.Parsers.IDL.idltype.fixedType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#fixedType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#378">Synopsis/Parsers/IDL/idltype.py:378</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.sequenceType" /><h2 >Function Synopsis.Parsers.IDL.idltype.sequenceType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#sequenceType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#370">Synopsis/Parsers/IDL/idltype.py:370</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.stringType" /><h2 >Function Synopsis.Parsers.IDL.idltype.stringType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#stringType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#354">Synopsis/Parsers/IDL/idltype.py:354</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Parsers.IDL.idltype.wstringType" /><h2 >Function Synopsis.Parsers.IDL.idltype.wstringType</h2><ul>
<li><a href="../Scopes/Synopsis/Parsers/IDL/idltype.html#wstringType" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parsers/IDL/idltype.py.html#362">Synopsis/Parsers/IDL/idltype.py:362</a>: in module <a href="../Scopes/Synopsis/Parsers/IDL/idltype.html" >Synopsis.Parsers.IDL.idltype</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
